import sys

if(len(sys.argv) == 4):
   cell = sys.argv[0]
   node = sys.argv[1]
   server = sys.argv[2]
   maxlogsize = sys.argv[3]
else:
   print "\nUsage:"
   print "wsadmin -lang jython -f hpelex1.py <cell> <node> <server> <maxlogsize>"
   sys.exit()

HPELControlMBean = AdminControl.queryNames('cell='+cell+',node='+node+',type=HPELControlService,process='+server+',*')
if (HPELControlMBean == ''):
    print "\nHPEL is not enabled"
else:
    print "\nHPEL is enabled"

print "\nTemporarily setting maximum log size to "+maxlogsize+" MB"
HPELLogDataMBean = AdminControl.queryNames('cell='+cell+',node='+node+',type=HPELLogDataService,process='+server+',*')
AdminControl.setAttribute(HPELLogDataMBean, "purgeMaxSize", maxlogsize)
